package com.mcwl.resource.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mcwl.resource.domain.MallProductLike;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author DaiZibo
 * @date 2025/1/2
 * @apiNote
 */

@Mapper
public interface MallProductLikeMapper extends BaseMapper<MallProductLike> {
 List<Long> selectByUserId(@Param("userId") Long userId);

 MallProductLike selectByUserIdAndProductId(@Param("userId") Long userId, @Param("productId") Long productId);

 void deleteByUserIdAndProductId(@Param("productId") Long productId, @Param("userId") Long userId);

 Long countLike(@Param("userId") Long userId);


}
